[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.ReferenceInterface

Interface implementation of Notification

## Declaration

Source position: classesh.inc line 1981

`public procedure TComponent.ReferenceInterface(`
`const intf: IInterface;`
`op: TOperation`
`);`

## Description

ReferenceInterface can be used to notify an interface of a component operation: it is the equivalent of the TComponent.Notification method of TComponent for interfaces. If the interface implements IInterfaceComponentReference, then the component that implements the interface is notified of the given operation Op.

## Errors

None.

## See also

TComponent.Notification |  | Called by components that are freed and which received a FreeNotification.
IInterfaceComponentReference |  | Interface for checking component references